Bug Hunting Session
Bug 80512 - UI: Horizontal scrollbar backwards with RTL sheet and kde4 ui
Summary: UI: Horizontal scrollbar backwards with RTL sheet and kde4 ui
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-06-25 06:58 UTC by Binyamin Sagal
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Dragging the scrollbar (indercator not under scrollbar) (75.62 KB, image/png)
2014-06-25 07:29 UTC, Binyamin Sagal
Details
Scrolled right, scrollbar indicator left (75.47 KB, image/png)
2014-06-25 07:30 UTC, Binyamin Sagal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Binyamin Sagal 2014-06-25 06:58:41 UTC
The Horizontal scrollbar looks flipped works with kde4 ui on RTL sheets in calc.

When I am at the start (right) of the sheet the scrollbar shows on the left. in order to grab it I have to click where it should be (on the right) where there is no indicator.
Comment 1 Lior Kaplan 2014-06-25 07:23:55 UTC
Please add a screenshot
Comment 2 Binyamin Sagal 2014-06-25 07:29:28 UTC
Created attachment 101726 [details]
Dragging the scrollbar (indercator not under scrollbar)
Comment 3 Binyamin Sagal 2014-06-25 07:30:15 UTC
Created attachment 101727 [details]
Scrolled right, scrollbar indicator left
Comment 4 Abdulaziz Ayed 2014-08-05 09:20:37 UTC
the bug reproduce in 4.2 but not reproduce in 4.3 and master .

OS: Ubuntu 14 KDE4
Comment 5 Binyamin Sagal 2015-01-01 06:48:37 UTC
I have upgraded to 4.3.5.2 and still have the bug

OS: gentoo
Comment 6 Binyamin Sagal 2015-02-16 11:19:49 UTC
Still see the problem in 4.4.0.3
Comment 7 Commit Notification 2015-08-26 16:01:18 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=273df1762707d1d44c9f9b3911e06f7a5a4fa08f

tdf#80512 KDE4: fix RTL scrollbar handling

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Lior Kaplan 2015-08-27 10:51:18 UTC
Changing status to resolved per comment #7
Comment 9 Commit Notification 2015-08-27 16:16:20 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=125fd9e3df5b33b9cd80de1ee3e4fa64c8587387&h=libreoffice-5-0

tdf#80512 KDE4: fix RTL scrollbar handling

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.